Verify an Account

View as Markdown
Allows for verification of most global accounts by passing in an account object containing either bank routing and account numbers or an IBAN.

Authentication

AuthorizationBasic

Query parameters

expandstringOptional

A field in the API response to be expanded in order for more details to be provided (e.g. account.paymentProvider).

Request

This endpoint expects an object.
merchantIddoubleRequired
A unique Trustly merchant identifier.
accountobjectRequired

Response

OK
requiredany
nameOnAccountstring>=1 character
Account owner name.
namestring>=1 character
Account name.
typeenum

Financial Institution Account Type:

  • -1: Unknown
  • 0: Other
  • 1: Checking
  • 2: Savings
profileenum

Financial Institution Account Profile:

  • -1: Unknown
  • 0: Other
  • 1: Personal
  • 2: Business
verificationobject
accountNumberstring1-4 characters
Last 4 digits of the bank account selected
routingNumberstring1-17 characters
Bank Routing Number provided by the selected account.
ibanstring>=1 character

IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders

tokenstring>=1 character
Account token for the returned account. This can be used to identify duplicate bank accounts in your system.
accountIdstring
providerIdstring
paymentProviderobject
Details of the Financial institution
verifiedboolean
If true, the account is verified.
countryenum

2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.

Errors

400
Bad Request Error